# limit parallel builds
%define _smp_build_ncpus 4

# "fix" lua underlinking:
%define _disable_ld_no_undefined 1

%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then ver = string.gsub(ver, "~.*", "");print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

# python are templates which cannot be byte compiled
%define _python_bytecompile_build 0

# filter out plugin .so from provides
# Exclude privlibs
%global __provides_exclude_from ^%{_libdir}/gnome-builder

%global privlibs .*-private|libide|libgnome-builder-plugins
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^(%{privlibs}).*\\.so.*

# filter out private typelib(Ide) require
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^typelib\\(Ide\\)

%global tarball_version %%(echo %{version} | tr '~' '.')

Name:		gnome-builder
Version:	46.2
Release:	%mkrel 2
Summary:	IDE for writing GNOME-based software
# Note: Checked as of 3.20.2
#
# Most of GNOME Builder is licensed under the GPLv3+.
#
# Others are easy to identify
#
# The following files are MIT licensed:
#     - src/resources/css/markdown.css
#     - src/resources/js/marked.js
#
# The following files are licensed under the CC-BY-SA license:
#     - data/icons/
#
# The following files are licensed under the CC0 license:
#     - data/org.gnome.Builder.appdata.xml
#     - data/html-preview.png
License:        GPLv3+ and GPLv2+ and LGPLv3+ and LGPLv2+ and MIT and CC-BY-SA and CC0
Group:		Graphical desktop/GNOME
URL:		https://wiki.gnome.org/Apps/Builder
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{tarball_version}.tar.xz
Patch1:		https://gitlab.gnome.org/GNOME/gnome-builder/uploads/3595cbe09fb9dd41d558a317251ca356/gdkrgba.patch
BuildRequires:	bison
BuildRequires:	gettext
BuildRequires:	appdata-tools
BuildRequires:	clang-devel
BuildRequires:	docbook-style-xsl
BuildRequires:	flex
BuildRequires:	gsettings-desktop-schemas
BuildRequires:	gtk-doc
BuildRequires:	itstool
BuildRequires:	libxml2-utils
BuildRequires:	llvm-devel
BuildRequires:	locales-en
BuildRequires:	meson
BuildRequires:	pkgconfig(dspy-1)
BuildRequires:	pkgconfig(editorconfig)
BuildRequires:	pkgconfig(enchant-2)
BuildRequires:	pkgconfig(flatpak)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gladeui-2.0)
BuildRequires:	pkgconfig(gspell-1)
BuildRequires:	pkgconfig(gtk4)
BuildRequires:	pkgconfig(gtksourceview-5)
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	pkgconfig(jsonrpc-glib-1.0)
BuildRequires:	pkgconfig(libadwaita-1)
BuildRequires:	pkgconfig(libcmark)
BuildRequires:	pkgconfig(libdazzle-1.0)
BuildRequires:	pkgconfig(libdevhelp-3.0)
BuildRequires:	pkgconfig(libdex-1)
BuildRequires:	pkgconfig(libgit2-glib-1.0)
BuildRequires:	pkgconfig(libpanel-1)
BuildRequires:	pkgconfig(libpeas-2)
BuildRequires:	pkgconfig(libportal-gtk4)
BuildRequires:	pkgconfig(libsoup-3.0)
BuildRequires:	pkgconfig(mm-common-util)
BuildRequires:	pkgconfig(pangoft2)
BuildRequires:	pkgconfig(libpcre2-8)
BuildRequires:	pkgconfig(pygobject-3.0)
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(sysprof-6)
BuildRequires:	pkgconfig(sysprof-capture-4)
BuildRequires:	pkgconfig(libsystemd)
BuildRequires:	pkgconfig(template-glib-1.0)
BuildRequires:	pkgconfig(vte-2.91-gtk4)
BuildRequires:	pkgconfig(webkitgtk-6.0)
BuildRequires:	python3-gobject3
BuildRequires:	python3-sphinx
BuildRequires:	xsltproc

Requires:	gtksourceview5
Requires:	gsettings-desktop-schemas
Requires:	libpeas2-loader-python3
Requires:	python3-jedi
Recommends:     sysprof-agent
# (mga#27464)
Requires:	typelib(Jsonrpc)

Recommends:	flatpak-builder
Recommends:	clang
Recommends:	gnome-code-assistance
Recommends:	meson
Recommends:	sysprof

# Replace anjuta
# https://discourse.gnome.org/t/anjuta-is-archived/10375
# "Anjuta has been archived. The recommended replacement is GNOME Builder."
Obsoletes:	anjuta < 3.34.0-10
Obsoletes:	anjuta-extras < 3.26.0-4

%description
Builder attempts to be an IDE for writing software for GNOME. It does not try
to be a generic IDE, but one specialized for writing GNOME software.


%package	devel
Summary:	Development files for %{name}
Requires:	%{name} = %{version}-%{release}

%description	devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -p1 -n %{name}-%{tarball_version}

%build
export LC_ALL=en_US.UTF-8
%meson -Dhelp=true
%meson_build

%install
%meson_install

%py_byte_compile %{__python3} %{buildroot}%{_libdir}/gnome-builder/plugins/

%find_lang %{name}

%files -f gnome-builder.lang
%doc NEWS README.md
%license COPYING
%{_bindir}/gnome-builder
%{_libdir}/gnome-builder/
%{_libexecdir}/gnome-builder-clang
%{_libexecdir}/gnome-builder-flatpak
%{_libexecdir}/gnome-builder-git
%{python3_sitelib}/gi/overrides/Ide.py
%{python3_sitelib}/gi/overrides/__pycache__/*
%{_datadir}/applications/org.gnome.Builder.desktop
%{_datadir}/dbus-1/services/org.gnome.Builder.service
%{_datadir}/glib-2.0/schemas/org.gnome.builder*.gschema.xml
%exclude %{_datadir}/gnome-builder/gir-1.0/
%{_datadir}/gnome-builder/
%{_datadir}/icons/hicolor/*/apps/org.gnome.Builder*.svg
%{_datadir}/metainfo/org.gnome.Builder.appdata.xml
%lang(en) %{_datadir}/doc/gnome-builder/en/

%files devel
%{_includedir}/gnome-builder*/
%{_libdir}/pkgconfig/gnome-builder-*.pc
%{_datadir}/gnome-builder/gir-1.0/


%changelog
* Thu Jul 04 2024 daviddavid <daviddavid> 46.2-2.mga10
+ Revision: 2079582
- switch to libpeas2-loader-python3

* Sun Jun 02 2024 daviddavid <daviddavid> 46.2-1.mga10
+ Revision: 2069189
- new version 46.2

* Sun Mar 31 2024 wally <wally> 46.0-3.mga10
+ Revision: 2053429
- rebuild for arm32

* Sun Mar 31 2024 daviddavid <daviddavid> 46.0-2.mga10
+ Revision: 2053388
- rebuild for new llvm/clang 17
- remove no more needed libhandy-1 build dependency

* Thu Mar 21 2024 daviddavid <daviddavid> 46.0-1.mga10
+ Revision: 2051189
- new version 46.0

* Wed Jan 10 2024 daviddavid <daviddavid> 45.0-3.mga10
+ Revision: 2029372
- rebuild for new libgit2 1.7.1

* Thu Jan 04 2024 papoteur <papoteur> 45.0-2.mga10
+ Revision: 2027563
- rebuild for python 3.12

* Wed Sep 27 2023 tv <tv> 45.0-1.mga10
+ Revision: 1991598
- BR new libpeas-2 & sysprof-6
- 45.0

* Sat Jun 03 2023 daviddavid <daviddavid> 44.2-1.mga9
+ Revision: 1960765
- new version 44.2

* Mon Apr 24 2023 daviddavid <daviddavid> 44.1-2.mga9
+ Revision: 1954778
- switch to new webkitgtk-6.0

* Sun Apr 23 2023 tmb <tmb> 44.1-1.mga9
+ Revision: 1954348
- update to 44.1

* Sun Apr 16 2023 daviddavid <daviddavid> 43.4-4.mga9
+ Revision: 1953239
- switch to pcre2

* Sun Feb 19 2023 daviddavid <daviddavid> 43.4-3.mga9
+ Revision: 1944155
- rebuild for new cmark

* Sat Jan 07 2023 squidf <squidf> 43.4-2.mga9
+ Revision: 1931117
- Mass rebuild for icu 72.1

* Fri Dec 09 2022 ghibo <ghibo> 43.4-1.mga9
+ Revision: 1919895
- Update to release 43.4

* Tue Nov 22 2022 tv <tv> 43.3-1.mga9
+ Revision: 1910293
- 43.3

* Wed Oct 05 2022 ovitters <ovitters> 43.2-1.mga9
+ Revision: 1894873
- new version 43.2

* Tue Sep 27 2022 wally <wally> 43.1-2.mga9
+ Revision: 1892795
- drop some anjuta obsoletes after the pkgs have vanished from the mirrors

* Tue Sep 27 2022 ovitters <ovitters> 43.1-1.mga9
+ Revision: 1892622
- new version 43.1

* Thu Sep 22 2022 tv <tv> 43.0-1.mga9
+ Revision: 1891612
- Update to 43.0

* Thu Sep 22 2022 tv <tv> 43~rc-4.mga9
+ Revision: 1891571
- Renable webkit support with gtk4 build of webkit

* Thu Sep 22 2022 tv <tv> 43~rc-3.mga9
+ Revision: 1891442
- Rebuild for llvm-15

* Tue Sep 20 2022 tv <tv> 43~rc-2.mga9
+ Revision: 1890949
- BR libadwaita-1
- Fix requires on gtksourceview

* Tue Sep 20 2022 wally <wally> 43~rc-1.mga9
+ Revision: 1890830
- new version 43~rc
- disable webkit support for now as our webkit2 is built without gtk4 ATM
- replace anjuta with gnome-builder

* Sat Jun 11 2022 tv <tv> 42.1-2.mga9
+ Revision: 1863973
- Rebuild with latest rpm-mageia-setup in order to fix deps

* Thu Apr 21 2022 ovitters <ovitters> 42.1-1.mga9
+ Revision: 1852261
- new version 42.1

* Sat Apr 02 2022 tv <tv> 42.0-3.mga9
+ Revision: 1840400
- Do not package gir in both main & devel pkg

* Fri Apr 01 2022 tv <tv> 42.0-2.mga9
+ Revision: 1839765
- Rebuild with clang-14

* Sat Mar 19 2022 tv <tv> 42.0-1.mga9
+ Revision: 1800418
- Update to 42.0

* Wed Mar 16 2022 tv <tv> 42~rc1-1.mga9
+ Revision: 1794572
- Update to 42.rc1

* Thu Feb 17 2022 tv <tv> 41.3-3.mga9
+ Revision: 1778412
- Rebuild for python-3.10

* Mon Jan 24 2022 neoclust <neoclust> 41.3-2.mga9
+ Revision: 1769603
- Rebuild against new libcmark

* Mon Jan 10 2022 tv <tv> 41.3-1.mga9
+ Revision: 1767643
- 41.3

* Mon Jan 03 2022 wally <wally> 3.40.2-3.mga9
+ Revision: 1766333
- rebuild for libgit2 1.3.0

* Thu Oct 21 2021 tv <tv> 3.40.2-2.mga9
+ Revision: 1752506
- Rebuild for llvm 13.0

* Wed May 05 2021 ovitters <ovitters> 3.40.2-1.mga9
+ Revision: 1721620
- new version 3.40.2

* Thu Apr 29 2021 ovitters <ovitters> 3.40.1-1.mga9
+ Revision: 1720447
- new version 3.40.1

* Sat Mar 27 2021 tv <tv> 3.40.0-1.mga9
+ Revision: 1710910
- 3.40.0

* Thu Mar 18 2021 neoclust <neoclust> 3.38.2-3.mga9
+ Revision: 1704364
- Rebuild against python 3.9

* Mon Mar 01 2021 tv <tv> 3.38.2-2.mga9
+ Revision: 1695516
- rebuild for llvm/clang-12

* Tue Feb 02 2021 ovitters <ovitters> 3.38.2-1.mga8
+ Revision: 1674445
- new version 3.38.2

* Thu Dec 31 2020 luigiwalser <luigiwalser> 3.38.1-4.mga8
+ Revision: 1667237
- rebuild for libgit2

* Thu Nov 26 2020 tv <tv> 3.38.1-3.mga8
+ Revision: 1649612
- rebuild for llvm/clang 11.0
+ wally <wally>
- recommend sysprof

* Sun Oct 25 2020 wally <wally> 3.38.1-2.mga8
+ Revision: 1639197
- require typelib(Jsonrpc) (mga#27464)

* Fri Oct 16 2020 ovitters <ovitters> 3.38.1-1.mga8
+ Revision: 1636312
- new version 3.38.1

* Sat Sep 26 2020 tv <tv> 3.38.0-2.mga8
+ Revision: 1630181
- rebuild for new libgladeui

* Sat Sep 12 2020 ovitters <ovitters> 3.38.0-1.mga8
+ Revision: 1625370
- new version 3.38.0

* Sun Sep 06 2020 ovitters <ovitters> 3.37.92-1.mga8
+ Revision: 1623038
- new version 3.37.92

* Fri Aug 07 2020 ovitters <ovitters> 3.37.90-1.mga8
+ Revision: 1611925
- new version 3.37.90
- dropped merged patch 0001-sysprof_bump-to-sysprof-4-ABI.patch

* Mon Aug 03 2020 daviddavid <daviddavid> 3.37.1-1.mga8
+ Revision: 1610769
- add upstream patch to bump to sysprof-4 ABI
- new version 3.37.1
+ ovitters <ovitters>
- rebuild for get rid of pythonegg requires

* Sat Jun 27 2020 ovitters <ovitters> 3.36.1-1.mga8
+ Revision: 1599426
- new version 3.36.1
- dropped merged patch 0001-meson_Add-generated-lsp-enum-header-to-lsp-sources.patch

* Thu May 07 2020 daviddavid <daviddavid> 3.36.0-6.mga8
+ Revision: 1581439
- add upstream to add generated lsp enum header to lsp sources (should fix arm build)

* Thu May 07 2020 daviddavid <daviddavid> 3.36.0-5.mga8
+ Revision: 1581424
- rebuild for new glade 3.36.0

* Fri Apr 03 2020 wally <wally> 3.36.0-4.mga8
+ Revision: 1564172
- fix requires excludes

* Fri Apr 03 2020 ovitters <ovitters> 3.36.0-3.mga8
+ Revision: 1564168
- filter out a require on same package

* Sun Mar 22 2020 tv <tv> 3.36.0-2.mga8
+ Revision: 1558772
- rebuild with llvm 10

* Sun Mar 08 2020 ovitters <ovitters> 3.36.0-1.mga8
+ Revision: 1554872
- new version 3.36.0

* Mon Feb 24 2020 tv <tv> 3.35.91-1.mga8
+ Revision: 1549896
- update license tag
- bump needed versions
- adjust BRs + filelist
+ ovitters <ovitters>
- new version 3.35.91
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sat Oct 05 2019 ovitters <ovitters> 3.34.1-1.mga8
+ Revision: 1449416
- new version 3.34.1

* Tue Sep 17 2019 tv <tv> 3.34.0-4.mga8
+ Revision: 1443064
- rebuild for llvm-9.0

* Mon Sep 16 2019 tv <tv> 3.34.0-3.mga8
+ Revision: 1442037
- bump release
- rebuild for libpeas

* Tue Sep 10 2019 ovitters <ovitters> 3.34.0-1.mga8
+ Revision: 1439236
- new version 3.34.0

* Thu Sep 05 2019 ovitters <ovitters> 3.33.92-1.mga8
+ Revision: 1437432
- new version 3.33.92

* Sun Aug 11 2019 ovitters <ovitters> 3.33.90-1.mga8
+ Revision: 1428711
- new version 3.33.90

* Wed Aug 07 2019 tv <tv> 3.33.4-1.mga8
+ Revision: 1427849
- new release

* Tue Jul 16 2019 ovitters <ovitters> 3.32.4-1.mga8
+ Revision: 1421814
- new version 3.32.4

* Tue Jul 02 2019 ovitters <ovitters> 3.32.3-1.mga8
+ Revision: 1417606
- new version 3.32.3

* Wed Apr 17 2019 umeabot <umeabot> 3.32.1-3.mga7
+ Revision: 1392272
- Rebuild with meson 0.50.1

* Mon Apr 15 2019 daviddavid <daviddavid> 3.32.1-2.mga7
+ Revision: 1390771
- rebuild for new llvm/clang 8.0

* Thu Apr 11 2019 ovitters <ovitters> 3.32.1-1.mga7
+ Revision: 1388228
- new version 3.32.1

* Wed Mar 13 2019 ovitters <ovitters> 3.32.0-1.mga7
+ Revision: 1375168
- new version 3.32.0

* Sat Mar 09 2019 daviddavid <daviddavid> 3.31.92-1.mga7
+ Revision: 1373113
- new version 3.31.92

* Wed Jan 30 2019 daviddavid <daviddavid> 3.30.3-2.mga7
+ Revision: 1361976
- require libpeas-loader-python3
- enable libide gtk-doc building
- enable help building

* Sun Jan 13 2019 ovitters <ovitters> 3.30.3-1.mga7
+ Revision: 1355809
- new version 3.30.3

* Wed Jan 09 2019 tv <tv> 3.30.2-2.mga7
+ Revision: 1353065
- rebuild with python 3.7
+ ovitters <ovitters>
- new version 3.30.2

* Thu Sep 27 2018 tv <tv> 3.30.1-2.mga7
+ Revision: 1308216
- rebuild for llvm 7.0

* Tue Sep 25 2018 ovitters <ovitters> 3.30.1-1.mga7
+ Revision: 1304067
- new version 3.30.1

* Wed Sep 05 2018 ovitters <ovitters> 3.30.0-1.mga7
+ Revision: 1257255
- new version 3.30.0

* Tue Sep 04 2018 daviddavid <daviddavid> 3.29.92-1.mga7
+ Revision: 1257119
- new version 3.29.92
+ tv <tv>
- need newer sysprof

* Fri Jul 27 2018 ovitters <ovitters> 3.28.4-1.mga7
+ Revision: 1245585
- new version 3.28.4

* Thu Jun 21 2018 ovitters <ovitters> 3.28.3-1.mga7
+ Revision: 1238482
- new version 3.28.3

* Tue May 29 2018 ovitters <ovitters> 3.28.2-1.mga7
+ Revision: 1232899
- new version 3.28.2

* Wed Apr 11 2018 tv <tv> 3.28.1-2.mga7
+ Revision: 1217629
- rebuild with llvm/clang 6.0

* Tue Apr 10 2018 ovitters <ovitters> 3.28.1-1.mga7
+ Revision: 1216942
- new version 3.28.1

* Wed Mar 14 2018 tv <tv> 3.28.0-2.mga7
+ Revision: 1209217
- rebuild with latest gspell

* Wed Mar 14 2018 tv <tv> 3.28.0-1.mga7
+ Revision: 1209175
- BR pkgconfig(enchant) -> pkgconfig(enchant-2)
+ ovitters <ovitters>
- new version 3.28.0

* Mon Mar 12 2018 tv <tv> 3.27.92-1.mga7
+ Revision: 1208656
- BR python3-gobject3
- BuildConflicts with older valgrind-devel (thus unbreaking build)
- fix filelist
- fix install: we use system's template-glib
- package license
- fix doc filelist
- reorder (easier comp with FC)
- recommends more pkgs
- exclude more private libs
- fix filelist
- BR enchant
- bump BR on sysprof
+ ovitters <ovitters>
- new version 3.27.92
- rebuild for devhelp
- new version 3.27.91
- new version 3.27.90
- new version 3.26.4
- new version 3.26.3

* Tue Nov 21 2017 tv <tv> 3.26.2-2.mga7
+ Revision: 1178552
- fix filelist
- rebuild for llvm 5
- bump BR on jsonrpc-glib
- rebuild with latest llvm
+ ovitters <ovitters>
- new version 3.26.2
- new version 3.26.1

* Thu Sep 21 2017 tv <tv> 3.26.0-7.mga7
+ Revision: 1156915
- rebuild with llvm-4.0

* Thu Sep 21 2017 tv <tv> 3.26.0-6.mga7
+ Revision: 1156571
- fix file list + BR libdazzle-1.0 & template-glib-1.0
- "fix" underlinking
- BR bison
- BR flex
- BR pkgconfig(sysprof-ui-2)
- new release
- sort BRs

* Fri Aug 04 2017 tv <tv> 3.24.2-3.mga7
+ Revision: 1134715
- fix build with new find_lang
- rebuild for new python

* Sun Jun 04 2017 akien <akien> 3.24.2-2.mga6
+ Revision: 1106483
- Rebuild for devhelp 3.24.0

* Tue May 09 2017 ovitters <ovitters> 3.24.2-1.mga6
+ Revision: 1099766
- new version 3.24.2

* Mon Apr 10 2017 ovitters <ovitters> 3.24.1-1.mga6
+ Revision: 1096342
- new version 3.24.1
- dropped merged patch 884b8b4f3504b4319cd88c385536ef070d41424c..5806789a23719386ef8cd8bd75f3d24a52cdc5bd.patch
- dropped merged patch 841794b3e4e3c16c70242dbddadce6c5d45378fb..e67c00433aac3cce63e680f052835111456d1a10.patch

* Thu Mar 23 2017 ovitters <ovitters> 3.24.0-1.mga6
+ Revision: 1094538
- enable flatpak support
- add patch to fix linking against enchant (bgo#780420)
- fix linking (bgo#780414)
- new version 3.24.0

* Mon Mar 13 2017 ovitters <ovitters> 3.22.4-3.mga6
+ Revision: 1092344
- recommend flatpak-builder

* Sat Jan 07 2017 tv <tv> 3.22.4-2.mga6
+ Revision: 1080477
- rebuild for llvm+clang 3.9

* Thu Dec 22 2016 ovitters <ovitters> 3.22.4-1.mga6
+ Revision: 1076319
- new version 3.22.4

* Tue Nov 29 2016 ovitters <ovitters> 3.22.3-1.mga6
+ Revision: 1070933
- new version 3.22.3
- new version 3.22.2
+ wally <wally>
- new version 3.22.1
- rediff linking patch

* Mon Oct 17 2016 wally <wally> 3.22.0-2.mga6
+ Revision: 1061303
- filter out plugin .so from provides
- redo linking patch to really fix underlinking

* Sat Sep 24 2016 ovitters <ovitters> 3.22.0-1.mga6
+ Revision: 1055780
- don't byte compile .py files
- new version 3.22.0

* Wed Jun 08 2016 tv <tv> 3.20.4-2.mga6
+ Revision: 1020778
- adjust BRs for latest systemd

* Fri May 06 2016 ovitters <ovitters> 3.20.4-1.mga6
+ Revision: 1009868
- new version 3.20.4

* Thu Apr 28 2016 ovitters <ovitters> 3.20.2-1.mga6
+ Revision: 1007569
- new version 3.20.2

* Wed Mar 23 2016 tv <tv> 3.20.0-1.mga6
+ Revision: 994409
- easy "fix" for underlinking issues...
- new release

* Thu Mar 17 2016 daviddavid <daviddavid> 3.19.90-2.mga6
+ Revision: 992412
- fix requires (drop unwanted fedora's macros {?_isa})
- use new python macros

* Tue Mar 15 2016 tv <tv> 3.19.90-1.mga6
+ Revision: 990755
- rediff patch for new release
- new release
- adjust file list
- add a devel subpkg
- rediff linking patch
- disable unappliable patch
- rebuild for new clang
- rediff patch
- 3.19.4

* Mon Feb 15 2016 luigiwalser <luigiwalser> 3.18.1-5.mga6
+ Revision: 961586
- rebuild for vala

* Tue Jan 12 2016 tv <tv> 3.18.1-4.mga6
+ Revision: 922268
- rebuild for new gnutls

* Wed Jan 06 2016 tv <tv> 3.18.1-3.mga6
+ Revision: 920147
- rebuild for clang 3.7.1

* Thu Dec 17 2015 ovitters <ovitters> 3.18.1-2.mga6
+ Revision: 911519
- require pythonegg(3)(jedi)

* Thu Oct 29 2015 tv <tv> 3.18.1-1.mga6
+ Revision: 896531
- adjust file list
- link with pangoft2 too
- further fix linking
+ ovitters <ovitters>
- new version 3.18.1

* Wed Oct 07 2015 ovitters <ovitters> 3.18.0-2.mga6
+ Revision: 887193
- rebuild for new python3

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 883242
- patch 0: fix linking
- adjust file list
- add missing BRs
- drop merged patches
- new release

* Wed Aug 05 2015 tv <tv> 3.16.3-2.mga6
+ Revision: 861400
- fix build with libgit2-glib
- rebuild for new llvm

* Mon Jun 22 2015 ovitters <ovitters> 3.16.3-1.mga6
+ Revision: 839875
- imported package gnome-builder

